Try ERPNext Try Frappe Cloud Buy Support Partners Foundation

[Release] ERPNext Version 13

resolve just update node

Error here… during bench build after bench update --patch

yarn run v1.22.10
$ FRAPPE_ENV=production node rollup/build.js --skip_frappe
Production mode
:heavy_check_mark: Built js/moment-bundle.min.js
internal/fs/utils.js:269
throw err;
^

Error: ENOENT: no such file or directory, open ‘/home/jayjay/frappe-bench/apps/frappe/node_modules/localforage/dist/localforage.min.js’
at Object.openSync (fs.js:462:3)
at Object.readFileSync (fs.js:364:35)
at /home/jayjay/frappe-bench/apps/frappe/rollup/build.js:129:39
at Array.map ()
at /home/jayjay/frappe-bench/apps/frappe/rollup/build.js:123:36
at Array.forEach ()
at concatenate_files (/home/jayjay/frappe-bench/apps/frappe/rollup/build.js:120:18)
at Object. (/home/jayjay/frappe-bench/apps/frappe/rollup/build.js:40:13)
at Module._compile (internal/modules/cjs/loader.js:999:30)
at Object.Module._extensions…js (internal/modules/cjs/loader.js:1027:10)
at Module.load (internal/modules/cjs/loader.js:863:32)
at Function.Module._load (internal/modules/cjs/loader.js:708:14)
at Function.executeUserEntryPoint [as runMain] (internal/modules/run_main.js:60:12)
at internal/main/run_main_module.js:17:47 {
errno: -2,
syscall: ‘open’,
code: ‘ENOENT’,
path: ‘/home/jayjay/frappe-bench/apps/frappe/node_modules/localforage/dist/localforage.min.js’
}
error Command failed with exit code 1.
info Visit https://yarnpkg.com/en/docs/cli/run for documentation about this command.

I seem to have same issue as you… After I enter login details, it shows the desk briefly and then returns to the website page

resolved, but not sure if it was the right thing to do. I tried…

sudo npm install -g yarn
and
bench setup requirements

and run through bench update --patch , bench build a couple of times again and seems to work now.

WARNING: I am NOT an expert. I don’t care about this existing test install and I am planning to reinstall fresh (and not in real production environment yet) so you may want to wait for confirmation from ERPNEXT team of proper ways to resolve these errors.

Btw, I was updating from V13.x development branch.

Annnnd… NEW UI looks AWESOME! Even though subtle changes, it really looks so much better.

1 Like

Trying to update to v13 on a VM image downloaded a few days ago. Got the node incompatible version (Expected version ">=10. Got 8.17.0). Upgraded node and can go through first two commands (run bench update --patch for the second), but “bench build” gives error “ENOENT: no such file or directory, open ‘/home/frappe/frappe-bench/apps/frappe/node_modules/localforage/dist/localforage.min.js’”. Stuck there.

Any idea when a VM Production Image with v13 will be available?

Regards.

This never worked for me.
The error message persists:
at Module._compile (module.js:653:30)
at Object.Module._extensions…js (module.js:664:10)
at Module.load (module.js:566:32)
at tryModuleLoad (module.js:506:12)
at Function.Module._load (module.js:498:3)
at Function.Module.runMain (module.js:694:10)
at startup (bootstrap_node.js:204:16)
at bootstrap_node.js:625:3
error Command failed with exit code 1.
info Visit https://yarnpkg.com/en/docs/cli/run for documentation about this command.

Went back to a snapshot of my VM and this time tried with node v10 instead of v12 and it worked. My process was the following (in case it can be of any use to somebody):

#Upgraded node to v10:
curl -fsSL https://deb.nodesource.com/setup_10.x | sudo -E bash -
sudo apt-get install -y nodejs
sudo npm install -g yarn

#Switch to frappe and erpnext v13
bench switch-to-branch version-13 frappe erpnext --upgrade

#Got “SUCCESS: Successfully switched branches for: frappe, erpnext” continue with “bench update --patch” as instructed in the line following “SUCCESS:…”. Got “NameError: name ‘utils’ is not defined”. Waited a few minutes trying to figure out what happened. No clue so run “bench update --patch” again. This time it succeed.

#Continue with “bench build”. Went well without trouble.

I also tried the Easy Install Script with node v10 (instead of 12) and was able to install ERPNext v13 on a fresh install of Ubuntu Server v18.04 (VM). Previously I wasn’t able to install ERPNext v12 on the same VM.

1 Like

Yes, v13 allows for stock reposting when backdating entries.

2 Likes

upgrading from V12. Had to install Node.Js v10. No issues there. Now encountering ff traceback:

Migrating apdnew.alphatetano.com
Updating DocTypes for frappe : [========================================] 100%
Updating DocTypes for erpnext : [========================================] 100%
Updating Dashboard for frappe
Updating Dashboard for erpnext
Updating customizations for Address
Updating customizations for Contact
Building search index for apdnew.alphatetano.com
Migrating erp1.alphatetano.com
Executing erpnext.patches.v13_0.setup_patient_history_settings_for_standard_doctypes in erp1.alphatetano.com (_1bd3e0294da19198)
Traceback (most recent call last):
File “/usr/lib/python3.6/runpy.py”, line 193, in _run_module_as_main
main”, mod_spec)
File “/usr/lib/python3.6/runpy.py”, line 85, in _run_code
exec(code, run_globals)
File “/home/frappe/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, line 101, in
main()
File “/home/frappe/frappe-bench/apps/frappe/frappe/utils/bench_helper.py”, line 18, in main
click.Group(commands=commands)(prog_name=‘bench’)
File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 764, in call
return self.main(*args, **kwargs)
File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 717, in main
rv = self.invoke(ctx)
File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 1137, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 1137, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 956, in invoke
return ctx.invoke(self.callback, **ctx.params)
File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/click/core.py”, line 555, in invoke
return callback(*args, **kwargs)
File “/home/frappe/frappe-bench/env/lib/python3.6/site-packages/click/decorators.py”, line 17, in new_func
return f(get_current_context(), *args, **kwargs)
File “/home/frappe/frappe-bench/apps/frappe/frappe/commands/init.py”, line 27, in _func
ret = f(frappe._dict(ctx.obj), *args, **kwargs)
File “/home/frappe/frappe-bench/apps/frappe/frappe/commands/site.py”, line 300, in migrate
skip_search_index=skip_search_index
File “/home/frappe/frappe-bench/apps/frappe/frappe/migrate.py”, line 67, in migrate
frappe.modules.patch_handler.run_all(skip_failing)
File “/home/frappe/frappe-bench/apps/frappe/frappe/modules/patch_handler.py”, line 41, in run_all
run_patch(patch)
File “/home/frappe/frappe-bench/apps/frappe/frappe/modules/patch_handler.py”, line 30, in run_patch
if not run_single(patchmodule = patch):
File “/home/frappe/frappe-bench/apps/frappe/frappe/modules/patch_handler.py”, line 71, in run_single
return execute_patch(patchmodule, method, methodargs)
File “/home/frappe/frappe-bench/apps/frappe/frappe/modules/patch_handler.py”, line 91, in execute_patch
frappe.get_attr(patchmodule.split()[0] + “.execute”)()
File “/home/frappe/frappe-bench/apps/erpnext/erpnext/patches/v13_0/setup_patient_history_settings_for_standard_doctypes.py”, line 13, in execute
setup_patient_history_settings()
File “/home/frappe/frappe-bench/apps/erpnext/erpnext/healthcare/setup.py”, line 229, in setup_patient_history_settings
settings.save()
File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 284, in save
return self._save(*args, **kwargs)
File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 318, in _save
self._validate_links()
File “/home/frappe/frappe-bench/apps/frappe/frappe/model/document.py”, line 816, in _validate_links
frappe.LinkValidationError)
File “/home/frappe/frappe-bench/apps/frappe/frappe/init.py”, line 424, in throw
msgprint(msg, raise_exception=exc, title=title, indicator=‘red’, is_minimizable=is_minimizable, wide=wide, as_list=as_list)
File “/home/frappe/frappe-bench/apps/frappe/frappe/init.py”, line 403, in msgprint
_raise_exception()
File “/home/frappe/frappe-bench/apps/frappe/frappe/init.py”, line 357, in _raise_exception
raise raise_exception(msg)
frappe.exceptions.LinkValidationError: Could not find Row #4: Document Type: Therapy Session, Row #6: Document Type: Inpatient Medication Order

Lucky no. 13, thanks for the update. Best of luck to everyone who are using this.

Run this in console

frappe.reload_doc("healthcare", "doctype", "Inpatient Medication Order")
frappe.reload_doc("healthcare", "doctype", "Therapy Session")
frappe.db.commit() # superstition
2 Likes

@revant_one hey thanks for the quick response. Help me out a bit more here: when you say run in “console”, how is that done? I assume it’s not from OS command line right?

Chris

bench --site failed.site.xyz console
2 Likes

@revant_one you sir are a distinguished gentleman! That cleared it and script now being re-run. Much thanks!

4 Likes

I previously used to enter

sudo python3 install.py --production for installing v12

or

python3 install.py --verbose --production --frappe-branch version-13-beta --erpnext-branch version-13-beta

Now what command should i run in case of fresh install of v13

Fantastic :smiling_face_with_three_hearts: , Superb , Awesome :sunglasses: , Fabulous :heart_eyes: , Ground Breaking ( since v11, it has always been refreshing change for major version !!) :partying_face:

Truly Amazing :star_struck:

Kudos to Team Frappe for coming up with original , innovative ideas :clap::+1:

missing ERPNext conference , hence sharing here :cake: :tropical_drink: :joy:

I am sure this version is ERP market disruptive.

11 Likes

Does Frappe Cloud automatically update to the latest release? Currently was running in v13-beta.

It would have been great if the immutable ledger was also implemented along with this version ,

as the problem with the accounts in profit and loss statement caused by stock transfers and back dated entries or cancel /amended documents still persists.

We were hoping 13 versions would have been sufficient to resolve an issue directly effecting the accuracy of the accounts . An elegant solution has also been given by the community but it has yet to be worked on at a larger scale .

On a positive note this version is truly amazing with the new and refreshing changes and few other critical issues addressed -
Massive Kudos to the core team ! :clap:
Hoping for the resolution of this issue as well soon :angel::slightly_smiling_face:

1 Like

ref…

4 Likes

I just successfully installed ERPNext v13 with this commands on Debian 10.

sudo apt -y install git vim libffi-dev python-pip python3-distutils python-dev libssl-dev wkhtmltopdf
export LC_ALL=C.UTF-8
wget https://raw.githubusercontent.com/frappe/bench/develop/install.py
sudo python3 install.py --verbose --production --user USER --mariadb-version 10.5 --frappe-branch version-13 --erpnext-branch version-13
7 Likes